﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для AdminPage.xaml
    /// </summary>
    public partial class AdminPage : Page
    {
        public AdminPage(Staff admin)
        {
            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            StaffList.ItemsSource = DataBase.db.Staff.ToList(); ;
        }

        private void AddStaffBtn_Click(object sender, RoutedEventArgs e)
        {
            PChanger.MainFrame.Navigate(new StaffChangeOrAddPage(null));
            Page_Loaded(sender, e);
        }

        private void PersSelectBtn_Click(object sender, RoutedEventArgs e)
        {
            Staff staff = (sender as Button).DataContext as Staff;
            PChanger.MainFrame.Navigate(new StaffChangeOrAddPage(staff));
            Page_Loaded(sender, e);
        }
    }
}
